<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Traits\Multitenantable;

class Evaluation extends Model
{
    use HasFactory;
    use Multitenantable;

    public $table = 'evaluations';

    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'date_of_deployment',
        'region_id',
        'main_task',
        'Positive_aspects',
        'challenging_aspects',
        'wellbeing_concerns',
        'other_wellbeing_aspects',
        'injuries_illness',
        'describe_illness',
        'adequate_support',
        'issue_resolved',
        'if_not_resolved_provide_details',
        'grade_rrt_support',
        'reason_grade_rrt_support',
        'adequate_training',
        'reason_adequate_training',
        'adequate_logistics',
        'reason_reason_adequate_logistics',
        'support_national_response',
        'reason_support_national_response',
        'support_local_intervention',
        'reason_support_local_intervention',
        'ready_to_deploy_again',
        'reason_ready_to_deploy_again',
        'changes_to_future_deploys',
        'additional_comments',
        'deployment_opportunity_id',
        'user_id',
        'created_at',
        'updated_at',
    ];

     public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
     public function region()
    {
        return $this->belongsTo(Region::class, 'region_id');
    }
     public function deployment_opportunity()
    {
        return $this->belongsTo(DeploymentOpportunity::class, 'deployment_opportunity_id');
    }


    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
