<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\Traits\Multitenantable;

class MemberEvaluation extends Model
{
    use HasFactory;
    //use Multitenantable;

    public $table = 'member_evaluations';

    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
       
        'rrt_member_satisfaction',
        'rrt_member_communication_satisfaction',
        'goals_target',
        'goals_achievement',
        'objectives_changes',
        'factors_of_members_success',
        'factors_of_members_failure',

        'number_of_activities_set',
        'number_of_activities_achieved',
        'changes_to_activities',
        'factors_of_activities_success_member',
        'factors_of_activities_failure_member',

        'number_of_deliverables_set',
        'number_of_deliverables_achieved',
        'changes_to_deliverables',
        'factors_of_deliverables_success_member',
        'factors_of_deliverables_failure_member',

        'number_of_indicators_measures_set',
        'number_of_indicators_measures_achieved',
        'changes_to_indicators_measures',
        'factors_of_indicators_measures_success_member',
        'factors_of_indicators_measures_failure_member',
        
        
        'comments_on_failure',
        'how_can_RRT_help_the_member',
            
        'deployment_opportunity_id',
        'user_id',
        'created_at',
        'updated_at',
    ];

     public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

     public function deployment_opportunity()
    {
        return $this->belongsTo(DeploymentOpportunity::class, 'deployment_opportunity_id');
    }
  

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
