<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('member_evaluations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id', 'user_fk_234664238')->references('id')->on('users');


            $table->string('rrt_member_satisfaction')->nullable();
            $table->string('rrt_member_communication_satisfaction')->nullable();
            $table->integer('goals_target')->nullable();
            $table->integer('goals_achievement')->nullable();
            $table->string('objectives_changes')->nullable();
            $table->longText('factors_of_members_success')->nullable();
            $table->longText('factors_of_members_failure')->nullable();

            $table->integer('number_of_activities_set')->nullable();
            $table->integer('number_of_activities_achieved')->nullable();
            $table->longText('changes_to_activities')->nullable();
            $table->longText('factors_of_activities_success_member')->nullable();
            $table->longText('factors_of_activities_failure_member')->nullable();

            $table->integer('number_of_deliverables_set')->nullable();
            $table->integer('number_of_deliverables_achieved')->nullable();
            $table->longText('changes_to_deliverables')->nullable();
            $table->longText('factors_of_deliverables_success_member')->nullable();
            $table->longText('factors_of_deliverables_failure_member')->nullable();

            $table->integer('number_of_indicators_measures_set')->nullable();
            $table->integer('number_of_indicators_measures_achieved')->nullable();
            $table->longText('changes_to_indicators_measures')->nullable();
            $table->longText('factors_of_indicators_measures_success_member')->nullable();
            $table->longText('factors_of_indicators_measures_failure_member')->nullable();
            
            
            $table->longText('comments_on_failure')->nullable();
            $table->longText('how_can_RRT_help_the_member')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('member_evaluations');
    }
};
