<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('evaluations', function (Blueprint $table) {
            $table->id();
            $table->string('date_of_deployment')->nullable();
            
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id', 'user_fk_234664209')->references('id')->on('users');

            $table->unsignedBigInteger('region_id');
            $table->foreign('region_id', 'region_id_fk_81520244')->references('id')->on('regions')->onDelete('cascade');
            
            $table->longText('main_task')->nullable();
            $table->longText('Positive_aspects')->nullable();
            $table->longText('challenging_aspects')->nullable();
            $table->string('wellbeing_concerns')->nullable();
            $table->longText('other_wellbeing_aspects')->nullable();
            $table->string('injuries_illness')->nullable();
            $table->longText('describe_illness')->nullable();
            $table->string('adequate_support')->nullable();
            $table->string('issue_resolved')->nullable();
            $table->string('if_not_resolved_provide_details')->nullable();
            $table->string('grade_rrt_support')->nullable();
            $table->longText('reason_grade_rrt_support')->nullable();
            $table->string('adequate_training')->nullable();
            $table->longText('reason_adequate_training')->nullable();
            $table->string('adequate_logistics')->nullable();
            $table->longText('reason_reason_adequate_logistics')->nullable();
            $table->string('support_national_response')->nullable();
            $table->longText('reason_support_national_response')->nullable();
            $table->string('support_local_intervention')->nullable();
            $table->longText('reason_support_local_intervention')->nullable();
            $table->string('ready_to_deploy_again')->nullable();
            $table->longText('reason_ready_to_deploy_again')->nullable();
            $table->longText('changes_to_future_deploys')->nullable();
            $table->longText('additional_comments')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('evaluations');
    }
};
